StarFormatManagerInternal::State Struct Reference

Internal: the state of a StarFormatManager. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

std::map< unsigned, NumberFormatter > | m_idNumberFormatMap
| a map id to number format
std::map< librevenge::RVNGString, std::shared_ptr< StarFormatManagerInternal::FormatDef > > | m_nameToFormatDefMap
| a map name to format definition

## Detailed Description

Internal: the state of a StarFormatManager.

## Constructor & Destructor Documentation

## State()

StarFormatManagerInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_idNumberFormatMap

std::map<unsigned, NumberFormatter> StarFormatManagerInternal::State::m_idNumberFormatMap

a map id to number format

Referenced by State().

## m_nameToFormatDefMap

std::map<librevenge::RVNGString, std::shared_ptr<StarFormatManagerInternal::FormatDef> > StarFormatManagerInternal::State::m_nameToFormatDefMap

a map name to format definition

Referenced by State().

The documentation for this struct was generated from the following file:

- StarFormatManager.cxx